--- configure.in	2024-03-08 16:29:02
+++ configure.in	2024-03-08 16:37:35
@@ -30,7 +30,7 @@
 AC_CHECK_LIB([lber],[main])
 AC_CHECK_LIB([ldap],[main],:,AC_MSG_ERROR([libldap not found]))
 AC_CHECK_LIB([ldap],[ldap_initialize],,AC_MSG_ERROR([libldap present but obsolete]))
-AC_CHECK_LIB([ldap],[ldap_bv2dn_x],AC_DEFINE(LIBLDAP22),AC_DEFINE(LIBLDAP21))
+AC_CHECK_LIB([ldap],[ldap_bv2dn],AC_DEFINE(LIBLDAP22),AC_DEFINE(LIBLDAP21))
 
 # sasl
 AC_CHECK_HEADER([sasl/sasl.h],AC_DEFINE(HAVE_SASL),AC_MSG_WARN([SASL support disabled]))
--- diff.c	2024-03-08 16:29:02
+++ diff.c	2024-03-08 16:37:04
@@ -215,7 +215,7 @@
         struct berval bv;
         bv.bv_val = str;
         bv.bv_len = strlen(str);
-        ldap_bv2dn_x(&bv, out, flags);
+        ldap_bv2dn(&bv, out, flags);
 }
 #else
 #error oops
--- error.c	2024-03-08 16:29:02
+++ error.c	2024-03-08 16:32:39
@@ -18,6 +18,7 @@
 #include <errno.h>
 #include <fcntl.h>
 #include <glib.h>
+#define LDAP_DEPRECATED 1
 #include <ldap.h>
 #include <stdio.h>
 #include <stdlib.h>
--- port.c	2024-03-08 16:29:02
+++ port.c	2024-03-08 16:31:00
@@ -31,10 +31,12 @@
 #include <unistd.h>
 
 #include "config.h"
+#include "common.h"
 
 #if defined(HAVE_OPENSSL)
 #include <openssl/sha.h>
 #include <openssl/md5.h>
+#include <openssl/rand.h>
 #elif defined(HAVE_GNUTLS)
 #include <gnutls/gnutls.h>
 #include <gnutls/openssl.h>
--- common.h	2022-03-10 23:10:00.000000000 -0500
+++ common.h	2022-03-10 23:05:40.000000000 -0500
@@ -282,6 +283,7 @@
 int adjoin_ptr(GPtrArray *, void *);
 void init_dialog(tdialog *, enum dialog_mode, char *, char *);
 void dialog(char *header, tdialog *, int, int);
+void fdcp(int fdsrc, int fddst);
 
 /*
  * schema.c
@@ -343,6 +345,7 @@
 int g_string_append_ssha(GString *string, char *key);
 int g_string_append_md5(GString *string, char *key);
 int g_string_append_smd5(GString *string, char *key);
+int on_exit(void (*function)(int, void *), void *arg);
 
 /*
  * base64.c
